--- bootstrap.org	2009-05-27 03:56:02.000000000 +0300
+++ bootstrap	2009-05-27 12:52:17.000000000 +0300
@@ -77,6 +77,9 @@
     *darwin10*)
          echo "ARCH=x86_64" >> config.mak
      ;;
+    *86_64*)
+          echo "ARCH=x86_64" >> config.mak
+     ;;
     *86*)
           echo "ARCH=i386" >> config.mak
      ;;
@@ -254,6 +257,15 @@
             cat src/Distributions/unix.mak >> distro.mak
         fi
     ;;
+    *86_64*linux*)
+        EXTRA_CFLAGS=" -fPIC"
+        EXTRA_CPPFLAGS=" -fPIC"
+        EXTRA_LDFLAGS=" -L/usr/lib64"
+        echo "LIBRARY_PATH = /usr/lib64" >> config.mak
+        echo "PKG_CONFIG_PATH = /usr/lib64/pkgconfig" >> config.mak
+        echo "PKG_CONFIG_LIBDIR = /usr/lib64/pkgconfig" >> config.mak
+        cat src/Distributions/unix.mak >> distro.mak
+    ;;
     *)
         if test "$HOST" = "$BUILD"; then
             if test -d "/usr/lib/pkgconfig"; then
--- ./src/Makefile.org	2009-05-27 03:56:02.000000000 +0300
+++ ./src/Makefile	2009-05-27 13:24:19.000000000 +0300
@@ -1909,7 +1909,7 @@
 ifdef HAVE_WIN32
 	(cd $<; ./autogen.sh && $(HOSTCC) ./configure $(HOSTCONF) --target=i586-mingw32msvc --prefix=$(PREFIX) CFLAGS="$(CFLAGS)" $(CIPHDIG) --disable-shared --enable-static --disable-nls && make && make install)
 else
-	(cd $<; $(HOSTCC) ./configure $(HOSTCONF) --prefix=$(PREFIX) CFLAGS="$(CFLAGS)" $(CIPHDIG) && make && make install)
+	(cd $<; $(HOSTCC) ./configure $(HOSTCONF) --prefix=$(PREFIX) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) -lgpg-error" $(CIPHDIG) && make && make install)
 endif
 	$(INSTALL_NAME)
 	touch $@
